Page MenuHomePhabricator

Using shift-click to select a row of checkboxes should work with OO JS UI and MW UI (checkboxShiftClick)
Closed, ResolvedPublic

Description

With the beta-feature currently deployed at beta cluster, I cannot use shift+click to select a group of checkboxes.

E.g.
If I left-click (enable) the top checkbox at http://en.wikipedia.beta.wmflabs.org/wiki/Special:EditWatchlist
and then shift+left-click the 5th checkbox, it does not enable boxes 1-5 inclusive.

I can do this at https://en.wikipedia.org/wiki/Special:EditWatchlist
or if I turn off the beta-feature at beta cluster.

Event Timeline

Quiddity created this task.May 12 2015, 7:40 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a project: UI-Standardization.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 7:40 PM
matmarex renamed this task from In the Form Refresh, using shift-click to select a row of checkboxes does not work to In the Form Refresh, using shift-click to select a row of checkboxes does not work (checkboxShiftClick).May 16 2015, 4:43 PM
matmarex added a project: MediaWiki-Interface.
matmarex set Security to None.
matmarex added a project: JavaScript.
matmarex added a subscriber: matmarex.

jquery.checkboxShiftClick (the library which provides this functionality) only triggers when you click on the checkboxes, and not their labels. And MediaWiki UI "checkboxes" are actually part of the label (the real checkbox is hidden). This should probably be fixed in the library.

Mattflaschen-WMF renamed this task from In the Form Refresh, using shift-click to select a row of checkboxes does not work (checkboxShiftClick) to Using shift-click to select a row of checkboxes should work with OO JS UI (checkboxShiftClick).May 25 2015, 12:47 AM
Mattflaschen-WMF reopened this task as Open.

Haven't checked, but we should make sure this works with OO JS UI.

Ltrlg added a subscriber: Ltrlg.May 25 2015, 8:45 AM

I verified and it does work with OOjs UI since a8d6823f2172e0af788daf5efc9ec81d10779d1e. And since that's a simple patch, let's do it for MW UI too, because why not.

Change 213492 had a related patch set uploaded (by Bartosz Dziewoński):
mediawiki.ui: checkbox: Render "on top of" the label

https://gerrit.wikimedia.org/r/213492

Mattflaschen-WMF renamed this task from Using shift-click to select a row of checkboxes should work with OO JS UI (checkboxShiftClick) to Using shift-click to select a row of checkboxes should work with OO JS UI and MW UI (checkboxShiftClick).May 30 2015, 1:08 AM
matmarex triaged this task as Normal priority.May 31 2015, 11:05 PM

Change 213492 merged by jenkins-bot:
mediawiki.ui: checkbox: Render "on top of" the label

https://gerrit.wikimedia.org/r/213492

matmarex closed this task as Resolved.Jun 2 2015, 5:36 AM